function [MR,Mxr,Myr,Mz]=rotFr(t,M,w)
% rotFr <Convert to rotating frame.>
% Usage:: MR=rotFr(t,M,w)
%

% revision history:
% 05/13/2026 Mark D. Shattuck <mds> rotFr.m

%% Main
Mx=M(:,1);
My=M(:,2);
Mz=M(:,3);
Mxr=Mx.*cos(w*t)-My.*sin(w*t);
Myr=My.*cos(w*t)+Mx.*sin(w*t);
MR=[Mxr Myr Mz];



